Please note that Sahi's development and support teams do not actively monitor this. This is more a community forum. If you are a Sahi Pro user looking for commercial support, please email support @ sahipro.com with your query.

Err ssl version or cipher mismatch

Hi,
I'm having an issue with using any site related to Google, including searching from a Google search bar and gmail. I keep getting this message
" Err_ssl_version_or_cipher_mismatch (Details:) A secure connection cannot be established because this site uses an unsupported protocol. "
I tried the Diagnose errors button, no fix. I can only search in Microsoft edge using Bing. If anyone knows the solution, it'd be much appreciated!

Please help.
Thanks!

I didn't find the right solution from the Internet.

References:https://productforums.google.com/forum/#!topic/chrome/_CSpz98MKCo;context-place=topicsearchin/chrome/authorid$3AAPn2wQdVdXXV5kAXU07YpFhJl15O3DjpHs3vjO9xU0Uda6RUX9RVS1KXdY6cGWojbCyjhq14UEB2|sort:date|spell:false

Time Management Marketing Examples

Sign In or Register to comment.